Subject: bug#52808: Guix home should not assume that all targets are dot files

From: Xinglu Chen <[email-masked]>
Date: Tue, 08 Feb 2022 13:58:13 +0100

Hi,

Ludovic schrieb am Sonntag der 30. Januar 2022 um 18:13 +01:

> I’d expect ‘home-files-service-type’ to do just that: add files to the
> home directory, without trying to be smart.
>
> Would it make sense to distinguish between ‘home-files’ and (say)
> ‘home-xdg-configuration-files’?

What about $XDG_DATA_HOME, or any other standard $XDG_* variable?  :-)

> The latter would copy files to $XDG_CONFIG_DIR at activation time,
> whereas the former would just copy them to $HOME.

When you say “copy”, you mean symlinking, right?  It would also be nice
to have a service which copies (cp) a file during activation and maybe
sets up different permissions for the file, e.g., executable.